#include "field_select_options.h"

namespace UI::FieldSelectOptions {

void Component::OnAttributeChange(const Rml::ElementAttributes &changed) {
    Rml::Element::OnAttributeChange(changed);

    if (!built) {
        built = true;
        Build();
    }
}

void Component::Build() {
    SetAttribute("class", "field-select-options");
}

} // namespace UI::FieldSelectOptions
